<template>
    <div class="box-chat relative" :class="{ active: isActiveMenuChat }">
        <div
            @click="onActiveMenuChat"
            class="w-7 h-7 cursor-pointer"
            v-tooltip:bottom="'Tin nhắn'"
        >
            <ChatIcon class="h-7 w-7 mx-auto" />
        </div>
        <div
            class="drop-down-list absolute bg-white shadow-card border rounded-md"
        >
            <div class="p-3 text-2xl font-bold border-b">Thông báo</div>
            <ul class="max-h-box-header overflow-y-auto divide-y">
                <li>
                    <router-link
                        :to="{ name: 'test', params: {} }"
                        class="flex items-center gap-2 p-3"
                    >
                        <span>Đăng xuất</span>
                    </router-link>
                </li>
            </ul>
            <div class="p-2 text-center border-t">
                <router-link
                    :to="{ name: 'test', params: {} }"
                    class="inline-block text-main-color hover:underline"
                >
                    Xem tất cả
                </router-link>
            </div>
        </div>
    </div>
</template>

<script>
import { ref } from "vue";
import { ChatIcon } from "@heroicons/vue/outline";

export default {
    components: {
        ChatIcon
    },
    setup() {
        const isActiveMenuChat = ref(false);

        const onActiveMenuChat = () => {
            isActiveMenuChat.value = !isActiveMenuChat.value;
        };

        document.addEventListener("click", function(e) {
            if (!e.target.closest(".box-chat")) {
                isActiveMenuChat.value = false;
            }
        });

        return { isActiveMenuChat, onActiveMenuChat };
    }
};
</script>

<style lang="scss" scoped>
.box-chat {
    &.active .drop-down-list {
        pointer-events: all;
        opacity: 1;
        z-index: 9999;
    }
    .drop-down-list {
        top: 35px;
        right: 0;
        width: 350px;
        pointer-events: none;
        opacity: 0;
        z-index: -1;
        ul li a {
            transition: all ease-in-out 0.1s;
            &:hover {
                @apply bg-main-color-hover-header-2;
            }
        }
    }
}
</style>
